View Issue Details

IDProjectCategoryView StatusLast Update
0026227LazarusPackagespublic2015-01-25 14:45
ReporterBart BroersmaAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowOS VersionWin7
Product Version1.3 (SVN)Product Buildr45077 
Target Version1.4Fixed in Version1.5 (SVN) 
Summary0026227: TSynEdit.SearchReplace removes lines if FindText contains LineEnding
DescriptionIf the FindText parameter for TSynEdit.SearchReplace contains LineEnding, then the line above the found text gets removed.
Steps To ReproduceBuild and run attached sample app.
Click Replace button.

It does this:
  srOptions:=[ssoReplace, ssoReplaceAll, ssoEntireScope ];
  FindText := LineEnding + '11';
  ReplaceText := LineEnding +'xx';
  SynEdit1.SearchReplace(FindText,ReplaceText,srOptions);
  SynEdit1.SetFocus;

Expected result:
aaaa
xx11
cccc

Observed result:
(blank line)
xx11
cccc
Additional InformationAFAICS TSynEditSearch.FindNextOne returns wrong starting position?
TagsNo tags attached.
Fixed in Revision47504
LazTarget1.4
Widgetset
Attached Files

Activities

Bart Broersma

2014-05-26 21:50

developer  

se.zip (4,558 bytes)

Martin Friebe

2015-01-24 17:43

manager   ~0080562

Please test and close if ok

Bart Broersma

2015-01-25 14:45

developer   ~0080574

Fixed.

Issue History

Date Modified Username Field Change
2014-05-26 21:50 Bart Broersma New Issue
2014-05-26 21:50 Bart Broersma Status new => assigned
2014-05-26 21:50 Bart Broersma Assigned To => Martin Friebe
2014-05-26 21:50 Bart Broersma File Added: se.zip
2014-05-26 21:50 Bart Broersma Steps to Reproduce Updated View Revisions
2015-01-24 17:43 Martin Friebe Fixed in Revision => 47504
2015-01-24 17:43 Martin Friebe LazTarget - => 1.4
2015-01-24 17:43 Martin Friebe Note Added: 0080562
2015-01-24 17:43 Martin Friebe Status assigned => resolved
2015-01-24 17:43 Martin Friebe Fixed in Version => 1.5 (SVN)
2015-01-24 17:43 Martin Friebe Resolution open => fixed
2015-01-24 17:43 Martin Friebe Target Version => 1.4
2015-01-25 14:45 Bart Broersma Note Added: 0080574
2015-01-25 14:45 Bart Broersma Status resolved => closed